%define	lib_major	9
%define	libname		%mklibname pisock %{lib_major}
%define	libsync		%mklibname pisync %{sync_major}
%define	sync_major	0

Summary:	File transfer utilities between Linux and PalmPilots
Name:		pilot-link
Version:	0.12.0
Release:	%mkrel 3

Source:		http://www.pilot-link.org/source/pilot-link-%{version}.tar.bz2 
Source1:	connect-palm-ppp.tar.bz2
URL:		http://www.pilot-link.org/
License:	GPL/LGPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	perl-devel
BuildRequires:	XFree86-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  automake1.4
BuildRequires:  chrpath

Obsoletes:	%{name}-tcl
Provides:	%{name}-tcl

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your
Linux system.

%package -n	%{libname}
Summary:	Libraries needed to use pilot-link
Group:		System/Libraries

%description -n	%{libname}
Libraries needed to use pilot-link

%package -n	%{libsync}
Summary:	Libraries needed to use pilot-link
Group:		System/Libraries

%description -n	%{libsync}
Libraries needed to use pilot-link

%package -n	%{libname}-devel
Summary:	PalmPilot development header files
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libsync} = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libpisock-devel = %{version}-%{release}
Conflicts:	%{_lib}pisock8-devel

%description -n	%{libname}-devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot apps.

If you want to develop PalmPilot synchronizing applications, you'll
need to install this package.

%package -n	perl-PDA-Pilot
Summary:	Perl module for Palm
Group:		Communications
Requires:	%{name} = %{version}-%{release}

%description -n	perl-PDA-Pilot
This package provides perl modules for supporting Palm.

%prep 
%setup -q -a 1

%build
%configure2_5x  --with-perl --enable-conduits --enable-libusb

# parallel compilation is broken
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/visor
blacklist visor
EOF

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/udev

%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}

%post -p /sbin/ldconfig -n %{libsync}

%postun -p /sbin/ldconfig -n %{libsync}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README NEWS
%doc connect-palm-ppp/
%doc doc/README.usb doc/TODO

%config(noreplace) %{_sysconfdir}/modprobe.d/visor
%{_bindir}/install-*
%{_bindir}/pilot-*
%exclude %{_bindir}/pilot-undelete
%{_bindir}/read-*
%{_mandir}/man1/install-*
%{_mandir}/man1/pilot-*
%{_mandir}/man1/read-*
%{_mandir}/man7/*
%{_datadir}/pilot-link

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpisock.so.*

%files -n %{libsync}
%defattr(-,root,root)
%{_libdir}/libpisync.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/pilot-link.m4
%{_libdir}/pkgconfig/*

%files -n perl-PDA-Pilot
%defattr(-,root,root)
%{_bindir}/ietf2datebook
%{_bindir}/sync-plan
%{_bindir}/pilot-undelete
%{_mandir}/man1/ietf2datebook*
%{perl_vendorarch}/auto/PDA/*
%{perl_vendorarch}/PDA/*

%changelog
* Tue Sep 26 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-3mdv2007.0
- Rebuild with latest ncurses

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-2mdv2007.0
- Add conflicts to ease upgrade

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-1mdv2007.0
- Release 0.12.0 codename "Trois Ans.." 
- Remove patches 0, 1, 7, 8, 9, 10
- remove cpp subpackage, binding no longer exists

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.11.8-12mdk
- ahruff, update P10 to really fix stuff..

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.11.8-11mdk
- fix underquoted calls (P10)
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.11.8-10mdk
- Rebuild

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.8-9mdk 
- Patch9: remove obsolete options from usage (Mdk bug #13060)

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.8-8mdk
- libtool fixes
- use perl macros
- make sure we don't build (unwanted?) tcl bindings

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11.8-7mdk
- rebuild for new readline
- fix bogus use of provides/obsoletes

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 0.11.8-6mdk
- remove wrong rpath from perl module
- fix automake call
- rebuild for new g++

* Thu Nov 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.8-5mdk
- Patch8 (CVS): fix size of dlp buffer (fix sync on Palm T3)

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11.8-4mdk
- rebuild for new perl
- don't use PREFIX

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.11.8-3mdk
- rebuild
- cosmetics

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.8-2mdk
- Fix buildrequires

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.8-1mdk
- Release 0.11.8 (and upload all packages, this time :)
- Regenerate patch 7

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.7-4mdk
- Rebuild 

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.7-3mdk
- Rebuild

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.7-2mdk
- Fix BuildRequires
- mklibnamification

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.7-1mdk
- Release 0.11.7

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.6-1mdk
- Release 0.11.6
- Regenerate patch7 (partially merged)

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.5-1mdk
- Release 0.11.5
- Remove patch11 (no longer needed)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3
- Regenerate patch0
- Remove patches 9 (merged upstream) & 10 (no longer needed)

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.11.1-4mdk
- rebuild for perl thread-multi (add patch11 to fix build)

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.1-3mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-2mdk
- Recompiled against latest readline

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Regenerate patch 9
- Remove patch8 (merged upstream)
- Patch10 : fix versionning of library

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-4mdk
- Fix obsoletes in -devel package

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Add new subpackage for libpysync

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-2mdk
- Fix name of devel packages
- Split library packages in two packages (C and C++)

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0 (stable release)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.10.99-2mdk
- patch9 for vendor_perl
- rebuild for perl 5.8.0

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.99-1mdk
- Release 0.10.99 (WARNING : this is a developer release)
- Remove patches 0, 1, 2, 3, 5 & 6 (merged upstream)
- Patch7: use DESTDIR compliant makefile for Perl/Python bindings
- Patch8: fix perl scripts generation
- Merge Tcl stuff in main package (most part is no longer generated)

* Tue May 28 2002 François Pons <fpons@mandrakesoft.com> 0.9.5-9mdk
- build release (for newer libstdc++).

* Sat Jan 19 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.5-8mdk
- Patch6: fix build under g++ v3

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-7mdk
- Patch4 (Ximian): If the record was created and deleted between syncs 
  (without being archived) ignore it
- Patch5 (Ximian): Fix memory leaks

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-6mdk
- Patch3 (Chmouel): use PILOTPORT when available in pilot-address 

* Mon Dec 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.5-5mdk
- Add connect-palm-ppp documentation.

* Wed Dec 12 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.5-4mdk
- Fix BuildRequires
- Fix build with tools/Tcl. (Geoffrey Lee)

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-3mdk
- Add missing BuildRequires (tcl)

* Mon Jun 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.5-2mdk
- BuildRequires: 	XFree86-devel

* Wed Jun 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5 (final)
- Regenerate configure and libtool
- Regenerate patch0 for tcl part

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.6.1mdk
- Release 0.9.5-pre6
- Recompiled against latest perl
- Change library package name

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.4mdk
- Correct descriptions again..

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.3mdk
- Correct descriptions

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.2mdk
- Change patch 1 to correctly remove rpath

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.1mdk
- Release 0.9.5-pre5
- regenerate patch 0
- generate different packages for different languages

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.2mdk
- Rebuild with last stdlibc++
- Split lib package

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.1mdk
- Release 0.9.5-pre3

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-15mdk
- Remove pilot-bug since it is unusefull and bring tcltk dependences.

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-14mdk
- Move perl part to its own package (which was preventing bootstrapping of package)

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-13mdk
- merge Alpha diff from Stefan van der Eijk

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-12mdk
- BM + macroszification

* Wed May 17 2000 David BAUENS <baudens@mandrakesoft.com> 0.9.3-11mdk
- Fix build for i486

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-10mdk
- fix group

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.9.3-9mdk
- cleanup
- patch for perl 5.6
- rebuild for new readline

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-8mdk
- Fix group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-7mdk
- libtoolize --force.

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Fixes sync-plan
- Fixed spec to build and install perl modules

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.3.
- Fix building as user.
- Rewrote spec.

* Wed May 05 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- %post / %postun: make -p

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move %{_libdir}/pix to %{_libdir}/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl
